Bug 858512 - libgpg-error should build static libs for gpgme unit testing
libgpg-error should build static libs for gpgme unit testing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libgpg-error (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On: 855451
Blocks: 855454
  Show dependency treegraph
 
Reported: 2012-09-18 20:11 EDT by Kevin Clevenger
Modified: 2012-09-26 01:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 855451
Environment:
Last Closed: 2012-09-25 02:49:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Clevenger 2012-09-18 20:11:40 EDT
+++ This bug was initially created as a clone of Bug #855451 +++

Created attachment 610833 [details]
Patch to reenable building static libs in libgpg-error-devel RPM

The libgpg-error-devel RPM does not contain %{_libdir}/libgpg-error.a, needed by gpgme to run the basic gpg unit tests.

gpgme unit tests would currently fail, except they've been disabled because they won't build without these static libs.  (Soon will file a ticket dependent on this bug.)

I'm attaching a patch to re-enable building the static libs.

The patch also updates .gitignore to ignore fedpkg local build artifacts.
Comment 2 John Morris 2012-09-18 22:43:27 EDT
Hi Kevin,

Thanks for looking at #855451.  I'm a bit green around here.  How come you created a new bug?  Only difference I see is that it's been assigned (hi, Nalin!).

   John
Comment 3 Kevin Clevenger 2012-09-19 11:04:45 EDT
BZ #855451 is for Fedora, this needs to be corrected in RHEL 6 as well.
Comment 4 Tomas Mraz 2012-09-25 02:49:25 EDT
Kevin, I don't think shipping static libraries just for gpgme tests is necessary. The tests in gpgme can be patched to use the shared libraries during linking.
Comment 5 John Morris 2012-09-26 01:53:17 EDT
Bug #855451:  a patch to the gpgme package to link against shared libs has been submitted.  Thanks fellas.

    John
Comment 6 John Morris 2012-09-26 01:54:38 EDT
Erm, Bug #855454, that is.

Note You need to log in before you can comment on or make changes to this bug.